Subject: Re: Does CVS has a easy way to compare file with its previous version?

From: Paolo Bonzini <[email-masked]>
Date: Wed, 01 Jul 2009 01:28:37 +0200

On 06/30/2009 02:36 PM, Jakub Narebski wrote:
> dtletmn<[email-masked]>  writes:
>
>> Hi,All,
>>
>>       I am wondering if cvs has an easy way to compare a file with its
>> previous version.
>>
>>       In clearcase,I can use  :
>>         cleartool diff -pred file.cc
>>
>>       how can I acheive it in CVS?
>>       any help would be highly appreciated!
>
> In CVS or in Git?
>
> In CVS: "cvs diff -r<previous revision>  <file>".
> In Git: "git diff HEAD^ --<file>".

I think he wants something more like

git diff `git log -2 --pretty=format:%h` <file> -- <file>

In CVS it should not be hard, but I definitely have no idea.

Paolo